/*
 * Copyright 2010 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR DATA

/**
 * Implementation of DateTimeFormatInfo for locale "as".
 */
public class DateTimeFormatInfoImpl_as extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] { 
        "পূৰ্বা",
        "অপ"
    };
  }

  @Override
  public String dateFormatFull() {
    return "EEEE, d MMMM, y";
  }

  @Override
  public String dateFormatLong() {
    return "d MMMM, y";
  }

  @Override
  public String dateFormatMedium() {
    return "dd-MM-yyyy";
  }

  @Override
  public String dateFormatShort() {
    return "d-M-yyyy";
  }

  @Override
  public String[] erasFull() {
    return new String[] { 
        "BCE",
        "CE"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] { 
        "BCE",
        "CE"
    };
  }

  @Override
  public String[] monthsFull() {
    return new String[] { 
        "জানুয়াৰী",
        "ফেব্ৰুয়াৰী",
        "মাৰ্চ",
        "এপ্ৰিল",
        "মে",
        "জুন",
        "জুলাই",
        "আগষ্ট",
        "সেপ্টেম্বৰ",
        "অক্টোবৰ",
        "নভেম্বৰ",
        "ডিসেম্বৰ"
    };
  }

  @Override
  public String[] monthsFullStandalone() {
    return monthsFull();
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] { 
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsNarrowStandalone() {
    return monthsNarrow();
  }

  @Override
  public String[] monthsShort() {
    return new String[] { 
        "জানু",
        "ফেব্ৰু",
        "মাৰ্চ",
        "এপ্ৰিল",
        "মে",
        "জুন",
        "জুলাই",
        "আগ",
        "সেপ্ট",
        "অক্টো",
        "নভে",
        "ডিসে"
    };
  }

  @Override
  public String[] monthsShortStandalone() {
    return monthsShort();
  }

  @Override
  public String[] quartersFull() {
    return new String[] { 
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "h.mm.ss a zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "h.mm.ss a z";
  }

  @Override
  public String timeFormatMedium() {
    return "h.mm.ss a";
  }

  @Override
  public String timeFormatShort() {
    return "h.mm. a";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] { 
        "দেওবাৰ",
        "সোমবাৰ",
        "মঙ্গলবাৰ",
        "বুধবাৰ",
        "বৃহষ্পতিবাৰ",
        "শুক্ৰবাৰ",
        "শনিবাৰ"
    };
  }

  @Override
  public String[] weekdaysFullStandalone() {
    return weekdaysFull();
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] { 
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysNarrowStandalone() {
    return weekdaysNarrow();
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] { 
        "ৰবি",
        "সোম",
        "মঙ্গল",
        "বুধ",
        "বৃহষ্পতি",
        "শুক্ৰ",
        "শনি"
    };
  }

  @Override
  public String[] weekdaysShortStandalone() {
    return weekdaysShort();
  }

  @Override
  public int weekendStart() {
    return 0;
  }
}
