/*
 * Copyright 2010 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.i18n.client.impl.cldr;

// DO NOT EDIT - GENERATED FROM CLDR DATA

/**
 * Implementation of DateTimeFormatInfo for locale "hy".
 */
public class DateTimeFormatInfoImpl_hy extends DateTimeFormatInfoImpl {

  @Override
  public String[] ampms() {
    return new String[] { 
        "Առ․",
        "Եր․"
    };
  }

  @Override
  public String dateFormatLong() {
    return "MMMM dd, y";
  }

  @Override
  public String dateFormatShort() {
    return "MM/dd/yy";
  }

  @Override
  public String[] erasFull() {
    return new String[] { 
        "Ք․Ա․",
        "Ք․Ե․"
    };
  }

  @Override
  public String[] erasShort() {
    return new String[] { 
        "Ք․Ա․",
        "Ք․Ե․"
    };
  }

  @Override
  public int firstDayOfTheWeek() {
    return 1;
  }

  @Override
  public String formatYearMonthAbbrevDay() {
    return "MMM d, y";
  }

  @Override
  public String formatYearMonthFullDay() {
    return "MMMM d, y";
  }

  @Override
  public String formatYearMonthNumDay() {
    return "M/d/y";
  }

  @Override
  public String formatYearMonthWeekdayDay() {
    return "EEE, MMM d, y";
  }

  @Override
  public String[] monthsFull() {
    return new String[] { 
        "Յունուար",
        "Փետրուար",
        "Մարտ",
        "Ապրիլ",
        "Մայիս",
        "Յունիս",
        "Յուլիս",
        "Օգոստոս",
        "Սեպտեմբեր",
        "Հոկտեմբեր",
        "Նոյեմբեր",
        "Դեկտեմբեր"
    };
  }

  @Override
  public String[] monthsFullStandalone() {
    return monthsFull();
  }

  @Override
  public String[] monthsNarrow() {
    return new String[] { 
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
        "11",
        "12"
    };
  }

  @Override
  public String[] monthsNarrowStandalone() {
    return monthsNarrow();
  }

  @Override
  public String[] monthsShort() {
    return new String[] { 
        "Յնր",
        "Փտր",
        "Մրտ",
        "Ապր",
        "Մյս",
        "Յնս",
        "Յլս",
        "Օգս",
        "Սեպ",
        "Հոկ",
        "Նոյ",
        "Դեկ"
    };
  }

  @Override
  public String[] monthsShortStandalone() {
    return monthsShort();
  }

  @Override
  public String[] quartersFull() {
    return new String[] { 
        "Q1",
        "Q2",
        "Q3",
        "Q4"
    };
  }

  @Override
  public String timeFormatFull() {
    return "HH:mm:ss zzzz";
  }

  @Override
  public String timeFormatLong() {
    return "HH:mm:ss z";
  }

  @Override
  public String timeFormatMedium() {
    return "HH:mm:ss";
  }

  @Override
  public String timeFormatShort() {
    return "HH:mm";
  }

  @Override
  public String[] weekdaysFull() {
    return new String[] { 
        "Կիրակի",
        "Երկուշաբթի",
        "Երեքշաբթի",
        "Չորեքշաբթի",
        "Հինգշաբթի",
        "Ուրբաթ",
        "Շաբաթ"
    };
  }

  @Override
  public String[] weekdaysFullStandalone() {
    return weekdaysFull();
  }

  @Override
  public String[] weekdaysNarrow() {
    return new String[] { 
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7"
    };
  }

  @Override
  public String[] weekdaysNarrowStandalone() {
    return weekdaysNarrow();
  }

  @Override
  public String[] weekdaysShort() {
    return new String[] { 
        "Կիր",
        "Երկ",
        "Երք",
        "Չոր",
        "Հնգ",
        "Ուր",
        "Շաբ"
    };
  }

  @Override
  public String[] weekdaysShortStandalone() {
    return weekdaysShort();
  }
}
